<?php
namespace theme\functions\theme_setup;

/*
	Doku : https://developer.wordpress.org/reference/functions/add_theme_support/

	Gutenberg Theme-Supports sind in der "gutenberg_theme_support.php" File
 */

function theme_support(){

	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'title-tag' );
	add_theme_support( 'menus' );
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'editor-styles' );
	add_editor_style( 'style-editor.css' );

	$html5_theme_support = [
		'comment-list',
		'comment-form',
		'search-form',
		'gallery',
		'caption',
		'style',
		'script'
	];
	add_theme_support( 'html5', $html5_theme_support );

}

add_action('after_setup_theme','theme\functions\theme_setup\theme_support');
